<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
/*Проверка обновления*/
$tpl->assign_file('mod', 'tpl/inc/update.tpl');
if(!$admin) header('Location: ?');
$up = parse_ini_file('tmp/update.ini');
$tpl->assign($up);
$s .= '&version='.$up['version'];
if(false != ($get = @file_get_contents($up['down_update'].$s))){
	$get = unserialize($get);
	if(!empty($get['ini'])){
		$tpl->to_file('tmp/update.ini', $get['ini']);
		$tpl->assign($get);
	}else{
		$tpl->parse('index.parseerror');
	}
}else{
	$tpl->parse('index.error');
}
?>